org.apache.sysds.runtime.compress.utils

## Class CustomHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.CustomHashMap

Direct Known Subclasses:
  DblArrayIntListHashMap, DoubleIntListHashMap

    public abstract class CustomHashMap
    extends Object

This class provides a memory-efficient base for Custom HashMaps for restricted use cases.

### Constructor Summary

Constructors
Constructor and Description
`CustomHashMap()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CustomHashMap` `joinHashMap(CustomHashMap that)`
`static CustomHashMap[]` `joinHashMaps(CustomHashMap[] left, CustomHashMap[] right)` Joins the two lists of hashmaps together to form one list containing element wise joins of the hashmaps.
`int` `size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomHashMap

    public CustomHashMap()

### Method Detail

#### size

    public int size()

#### joinHashMaps

    public static CustomHashMap[] joinHashMaps(CustomHashMap[] left,
                                               CustomHashMap[] right)

Joins the two lists of hashmaps together to form one list containing element wise joins of the hashmaps. Also note that the join modifies the left hand side hash map such that it contains the joined values. All values in the right hand side is appended to the left hand side, such that the order of the elements is constant after the join.

Parameters:
  `left` - The left side hashmaps
  `right` - The right side hashmaps
Returns:
  The element-wise join of the two hashmaps.

#### joinHashMap

    public CustomHashMap joinHashMap(CustomHashMap that)